moeoMOLS(3)

NAME
moeoMOLS - Abstract class for local searches applied to multi-objective optimization.

SYNOPSIS

#include <moeoMOLS.h>

Inherits eoBF< const EOT &, moeoArchive< EOT > &, void >.

Inherited by moeoCombinedMOLS< EOT >.

Detailed Description

  template<class EOT> class moeoMOLS< EOT >
Abstract class for local searches applied to multi-objective optimization. Starting from only one solution, it produces a set of new non-dominated solutions.

Definition at line 23 of file moeoMOLS.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.